# CONCAT

### Description

CONCAT combines specified values into one new value, appending them after each other.

If you are combining multiple components with the same characters, consider using [`JOIN`](/rule-language/operators/string-operators/join.md).

If you are working on potentially unknown values, consider using [`CONCAT_OF_ANY`](/rule-language/operators/unknown-operators/concat_of_any.md).

### Example

```
p is Person
CONCAT(p.first_name, " ", p.last_name)
```

It is common practice to have two separate[ information fields](/guides/glossary/information.md) for a name - one for the first and one for the last name. If, once these data are collected, you want to treat the full name as one combined piece of information, use `CONCAT` as in the example above. This would return a full name, e.g. "Jamie Fox".

The `" "`, with a space in between the quotation marks, adds a space between the first name and last name. If you want to include a middle name in the full name, the expression would look like this:

```
p is Person
CONCAT(p.first_name, " ", p.middle_name, " ", p.last_name)
```

This example would return a name like "Samuel Leroy Jackson".

{% hint style="info" %}
If you prefer, `CONCAT` is also available by using the `+` operator between the elements, so the last example can also be written as:

```
p is Person
p.first_name + " " + p.middle_name + " " + p.last_name
```

{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.atfinity.io/rule-language/operators/string-operators/concat.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
